=== debian/changelog ===
pure-lilv (0.4-1) trusty; urgency=low

  * Initial release

 -- Albert Graef <aggraef@gmail.com>  Sun, 14 Sep 2014 20:11:27 +0200
