=== debian/control ===
Source: pure-lilv
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, liblilv-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-lilv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: LV2 plugin host interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. LV2 is the new Linux audio plugin standard which aims to be
 portable and extensible. This module provides an interface to David
 Robillard's Lilv library which lets you write LV2 plugin hosts in Pure.
